# MIKE+Py Scripts

On this git you can find several scripts which were written to automate the development of real time control rules for control of sewer systems and the calibration of sewer systems in [MIKE+](https://worldwide.dhigroup.com/de/mikeplus).

## Description
The project is based on the Pyhton interface [MIKE+Py](https://github.com/DHI/mikepluspy) which was developed by DHI. It contains several scripts including:
- Automated hydraulic calibration of a MIKE+ model
- Automated calibration of a waterquality / sediment transport model
- Automated optimization of heuristic control rules
- Analysis of P-RTC potential  
-- these files are not available yet and will be uploaded later

## Requirements
- see env.yml file for all necessary packages to runs the scripts

## Support
For any questions regarding the code pls reach out to:  
Sebastian Kerger: kerger@fiw.rwth-aachen.de  
Leon Trojan: trojan@fiw.rwth-aachen.de  

## Roadmap
Status 03/2025: The project came to an end so most code is not developed any further.  
The code for the analysis of P-RTC is still in its last development stages adn will be uploaded later.   

## Authors and acknowledgment
The code in this project was written by Leon Trojan, Yu-Jin Schroer and Sebastian Kerger. The code was developed in the project [ENTfrachtEN](https://www.fiw.rwth-aachen.de/en/references/entfrachten) carried out by the [Research Institute for Water Management and Climate Future at RWTH Aachen University](https://www.fiw.rwth-aachen.de/en/). The project was funded by the [Deutsche Bundesstiftung Umwelt](https://www.dbu.de/en/). 
 <p xmlns:cc="http://creativecommons.org/ns#" >This work is licensed under <a href="https://creativecommons.org/licenses/by-sa/4.0/?ref=chooser-v1" target="_blank" rel="license noopener noreferrer" style="display:inline-block;">CC BY-SA 4.0<img style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/cc.svg?ref=chooser-v1" alt=""><img style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/by.svg?ref=chooser-v1" alt=""><img style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/sa.svg?ref=chooser-v1" alt=""></a></p> 

## Code of Conduct
Please note that this project is released with a [Contributor Code of Conduct](https://www.contributor-covenant.org/). By participating in this project you agree to abide by its terms.

## Project status
The work on this project ends with the project in march 2025.
